; Example 1
; ABBKlaus on 3.12.2007

NewLabel=0

; Printer$ = Install a DYMO-Printer to LPT1: for this demo to work correctly
Printer$="DYMO LabelWriter 320"

count=DYMO_EnumLabelNames()
If count
  For i=1 To count
    LabelName$=DYMO_GetLabelName(i-1)
    Debug Str(i)+":"+LabelName$
    If FindString(LabelName$,"14681",1) ; find CD/DVD-Labels
      FileName$=LabelName$
      NewLabel=1
    EndIf
  Next
EndIf

;NewLabel=0

If NewLabel=0
  ; FileName$ = complete path and filename to a LabelWriter Label *.lwl
  FileName$=OpenFileRequester("Please choose file to load", DYMO_GetLabelDirectory(), "LabelWriter Labels (*.lwl)|*.lwl", 0)
EndIf

If NewLabel
  DYMO_NewLabel(FileName$)
Else
  DYMO_ReadLabelFile(FileName$)
EndIf
DYMO_GetLabelMargins(lm.RECT)
Debug "DYMO : Margin LEFT="+StrF((lm\left*25.4)/1440,2)+" mm"
Debug "DYMO : Margin TOP="+StrF((lm\top*25.4)/1440,2)+" mm"
Debug "DYMO : Margin RIGHT="+StrF((lm\right*25.4)/1440,2)+" mm"
Debug "DYMO : Margin BOTTOM="+StrF((lm\bottom*25.4)/1440,2)+" mm"
;Workaround to get right margins
DYMO_PrintLabel(Printer$,"",0,0)
;-------------------------------
If NewLabel
  DYMO_NewLabel(FileName$)
Else
  DYMO_ReadLabelFile(FileName$)
EndIf
DYMO_GetLabelMargins(lm.RECT)
Debug ""
Debug "DYMO : Margin LEFT="+StrF((lm\left*25.4)/1440,2)+" mm"
Debug "DYMO : Margin TOP="+StrF((lm\top*25.4)/1440,2)+" mm"
Debug "DYMO : Margin RIGHT="+StrF((lm\right*25.4)/1440,2)+" mm"
Debug "DYMO : Margin BOTTOM="+StrF((lm\bottom*25.4)/1440,2)+" mm"
DYMO_SetZoom(100)
DYMO_SetShadow(0)
DYMO_GetLabelInfo(LabelInfo.TLABELINFO)
Debug "Size X : "+Str(LabelInfo\BitmapSize\x)+" Pixels"
Debug "Size Y : "+Str(LabelInfo\BitmapSize\y)+" Pixels"
If OpenWindow(1,0,0,LabelInfo\BitmapSize\x,LabelInfo\BitmapSize\y,"DYMO Demo",#PB_Window_ScreenCentered|#PB_Window_SystemMenu)
  If 1;CreateGadgetList(WindowID(1))
    Image1=CreateImage(#PB_Any,LabelInfo\BitmapSize\x,LabelInfo\BitmapSize\y,#PB_Image_DisplayFormat)
    ImageDC=StartDrawing(ImageOutput(Image1))
      SetTextAlign_(ImageDC,#TA_LEFT|#TA_TOP|#TA_NOUPDATECP)
      FillArea(0,0,1,GetSysColor_(#COLOR_3DFACE))
      DYMO_DrawLabel(ImageDC)
    StopDrawing()
    ImageGadget(#PB_Any,0,0,LabelInfo\BitmapSize\x,LabelInfo\BitmapSize\y,ImageID(Image1))
  EndIf
EndIf

Repeat
  Event=WaitWindowEvent()
Until Event=#PB_Event_CloseWindow

; IDE Options = PureBasic 4.41 (Windows - x86)
; CursorPosition = 57
; FirstLine = 9