;Konstanten
#TObjectType_Text      = 0
#TObjectType_Adress    = 1
#TObjectType_Graphic   = 2
#TObjectType_Rectangle = 3
#TObjectType_Line      = 4
#TObjectType_BarCode   = 5
#TObjectType_Counter   = 6
#TObjectType_DateTime  = 7

Structure TLABELINFO
 LabelName.b[64]
 PaperName.b[64]
 PaperSize.POINT
 BitmapSize.POINT
 LabelCount.l
 LabelSize.POINT
EndStructure

Structure TObjectID
  TObject.l
EndStructure

Structure TObjectInfo
  ObjID.TObjectID
  ObjType.l
  ObjName.b[64]
  Size.RECT
  Rotate.l
EndStructure

Structure TTextBlockAttributes
  *Text.l
  Font1.b[64]
  Font2.b[64]
  Justify.l
  VertJustify.l
  bMirrored.b
  bVerticalText.b
  TextColor.l
  BackgroundColor.l
  IsRichText.b
  Effects.l
EndStructure

Structure TCircularTextBlockAttributes
  *Text.l
  Font.b[64]
  bMirrored.b
  DisplayMode.b
  TextColor.l
  BackgroundColor.l
  CenteredOnLabel.b
EndStructure

Structure TAddressAttributes
  *TextInfo.TTextBlockAttributes
  BarCodePos.l
  b9DigitOnly.b
  bFixedAddr.b
  bFormatted.b
EndStructure

Structure TTextAttributes
  *TextInfo.TTextBlockAttributes
  bVariable.b
EndStructure

Structure TGraphicAttributes
  GraphicSource.l
  FileName.b[260]
  Picture.l
  Palette.l
  Window.l
  Border.l
  BorderColor.l
EndStructure

Structure TLineAttributes
  Length.l
  Orient.l
  Thickness.l
  LineColor.l
EndStructure

Structure TRectAttributes
  bFilled.b
  Border.l
  BorderColor.l
  FillColor.l
EndStructure

Structure TCounterAttributes
  *TextInfo.TTextBlockAttributes
  PreText.b[32]
  PostText.b[32]
  Start.l
  Current.l
  Width.l
  Increment.l
  bLeadingZeros.b
EndStructure

Structure TDateTimeAttributes
  TextInfo.TTextBlockAttributes
  PreText.b[32]
  PostText.b[32]
  DateFormat.l
  bIncludeTime.b
  b24Hour.b
EndStructure

Structure TBarcodeAttributes
  Text.b[256]
  Font.b[64]
  HRTextPos.l
  BCType.l
  BCRatio.l
  Justify.l
  Link.TObjectID
EndStructure

; IDE Options = PureBasic 4.10 (Windows - x86)
; CursorPosition = 65
; FirstLine = 54
; Folding = -